Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DomainClassArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.DomainClassArtefactHandler

All Implemented Interfaces:
  GrailsConfigurationAware

    public class DomainClassArtefactHandler
    extends ArtefactHandlerAdapter

Evaluates the conventions that define a domain class in Grails.

Authors:
  Graeme Rocher
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from class ArtefactHandlerAdapter
log

Constructor Summary
`DomainClassArtefactHandler()`

Method Summary
`java.util.Map` | `getDefaultConstraints()`
`void` | `initialize(ArtefactInfo artefacts)` Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping
`boolean` | `isArtefactClass(java.lang.Class clazz)`
`static boolean` | `isDomainClass(java.lang.Class clazz)`
`GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`
`void` | `setConfiguration(groovy.util.ConfigObject co)`

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Field Detail

### TYPE

    public static final java.lang.String TYPE

Constructor Detail

### DomainClassArtefactHandler

    public DomainClassArtefactHandler()

Method Detail

### getDefaultConstraints

    @SuppressWarnings("rawtypes")
    public java.util.Map getDefaultConstraints()

### initialize

    @Override
    public void initialize(ArtefactInfo artefacts)

  Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping

### isArtefactClass

    @Override
    @SuppressWarnings("rawtypes")
    public boolean isArtefactClass(java.lang.Class clazz)

### isDomainClass

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public static boolean isDomainClass(java.lang.Class clazz)

### newArtefactClass

    @Override
    @SuppressWarnings({ "unchecked", "rawtypes" })
    public GrailsClass newArtefactClass(java.lang.Class artefactClass)

### setConfiguration

    public void setConfiguration(groovy.util.ConfigObject co)

Groovy Documentation